package com.goafanti.order.service;

import java.util.Map;

import javax.servlet.http.HttpServletResponse;

import org.springframework.web.multipart.MultipartFile;

import com.goafanti.common.model.TOrderBillNew;
import com.goafanti.core.mybatis.page.Pagination;
import com.goafanti.order.bo.OrderListBo;
import com.goafanti.order.bo.ReceivablesListBo;
import com.goafanti.order.bo.TemporaryReceivablesBo;

public interface OrderReceivablesService {

	int addReceivables(TemporaryReceivablesBo t);

	int updateReceivables(TemporaryReceivablesBo t);

	int deleteReceivables(String id);

	int deleteAllReceivables();

	int batchImport();


	void batchListReceivables(MultipartFile file);

	Pagination<ReceivablesListBo> listReceivables(ReceivablesListBo rl,Integer status,String adminName, String adminDepId, String orderDepId, Integer pageSize,
			Integer pageNo);


	Map<String, Object> getCountlistReceivables(ReceivablesListBo rl, Integer status, String adminName, String adminDepId,
			String orderDepId);

	void exportReceivables(HttpServletResponse response,OrderListBo o, Integer pageSize, Integer pageNo)throws Exception;

	void exportInvoice(HttpServletResponse response, String orderNo, Integer pageSize, Integer pageNo)throws Exception;

	void exportMyBill(HttpServletResponse response, TOrderBillNew billNew, Integer pageSize, Integer pageNo)throws Exception;


}
